using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class WallTurnLeft : TileType {
    private string prefabName;

    public WallTurnLeft(IEnumerable<ForceType> forceOn, IEnumerable<ForceType> forceOff, string prefabName) {
        SetForces(forceOn, forceOff);
        this.prefabName = prefabName;
    }

    public override string Prefab { get { return prefabName; } }

    public override void PawnEnters(PawnScript pawn) {
        pawn.Killed();
    }

    public override void PawnStartsTowards(PawnScript pawn) {
        pawn.Direction = Quaternion.AngleAxis(90, Vector3.forward) * pawn.Direction;
    }
}
